<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script lang="ts" setup>
import { request } from '@/lib/request';
import { deleteCookie } from '@/lib/utils';
import { useAccountStore } from '@/stores/account';
import { storeToRefs } from 'pinia';
import { inject } from 'vue';
import { useRouter } from 'vue-router';
import DropdownItem from '@/components/general/DropdownMenuEntry.vue';

const props = defineProps<{
    close: ()=> void
}>();
const store = useAccountStore();
const { mail } = storeToRefs(store);

let configuration = inject<any>('configuration');
const router = useRouter();
const toOverview = (close:()=>void)=>{
    router.push({name: "overview-account"});
    close();
}

const logout = async (close:()=>void)=>{
    let result = await request('DELETE',configuration.apiServer+'/api/account/logout', undefined, 'application/json', false, true);
    if(result && result.success){
        deleteCookie('Token', configuration.basePath);
        mail.value = '';
        localStorage.setItem('logout-event', 'logout' + Math.random());
        router.push({name: "home"});
    }
    close();
}
</script>
<template>
    <DropdownItem @click="toOverview(close)" icon="home-2" :label="$t('adminMenu.dashboardLabel')" color="text-sky-600"/>
    <DropdownItem @click="logout(close)" icon="logout-circle-r" :label="$t('general.variables.account.logout')" color="text-orange-500"/> 
</template>